# frozen_string_literal: true

module FileConcat
  # Pulls the current version of the library.
  class Version
    # ==== This method does:
    #
    # Retrieves the version of the library.
    #
    # ==== With params:
    #
    # N/A
    #
    # ==== And returns:
    #
    # @return version <String> - the version of the library
    #
    # ==== And is used like:
    #
    # FileConcat::Version.version
    #
    def self.version
      File.read('VERSION').strip
    end
  end
end
